ru.bitel.bgbilling.modules.voice.access.event

## Class VoiceAccountDeviceStateModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.modules.voice.access.event.VoiceAccountDeviceStateModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class VoiceAccountDeviceStateModifiedEvent
      extends Event

  Событие о том, что текущее состояние аккаунта на устройстве изменилось и зафиксировано в БД.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceAccountDeviceStateModifiedEvent(int moduleId, int deviceId, int accountId, short state)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAccountId()`
    `int` | `getDeviceId()`
    `short` | `getState()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VoiceAccountDeviceStateModifiedEvent

          public VoiceAccountDeviceStateModifiedEvent(int moduleId,
                                                      int deviceId,
                                                      int accountId,
                                                      short state)

  - ### Method Detail

    - #### getDeviceId

          public int getDeviceId()

    - #### getAccountId

          public int getAccountId()

    - #### getState

          public short getState()